#!/usr/bin/perl -w
# ===============================================
# (C) 2017 AO Kaspersky Lab. All Rights Reserved.
# ===============================================

BEGIN { unshift @INC, $1 if $0 =~ /(.*)[\/]/; }

use strict;
use appdata;

my $upgrade = 0;
my $autoinstall = 0;

foreach my $opt (@ARGV) {
    if ($opt eq '--auto') {
	$autoinstall = 1;
    } elsif ($opt =~ /^--upgrade(=(\d))?$/) {
	$upgrade = !defined($2) || ($2 ne '0') ? 1 : 0;
    }
}

appdata::app_register($upgrade, $autoinstall);

exit;
